## r-cran-rlist 0.4.6.1

=== DESCRIPTION ===
Package: rlist
Type: Package
Title: A Toolbox for Non-Tabular Data Manipulation
Version: 0.4.6.1
Author: Kun Ren <ken@renkun.me>
Maintainer: Kun Ren <ken@renkun.me>
Description: Provides a set of functions for data manipulation with
    list objects, including mapping, filtering, grouping, sorting,
    updating, searching, and other useful functions. Most functions
    are designed to be pipeline friendly so that data processing with
    lists can be chained.
Depends: R (>= 2.15)
Date: 2016-04-04
Suggests: testthat, stringdist, pipeR
Imports: yaml, jsonlite, XML, data.table
License: MIT + file LICENSE
URL: https://renkun.me/rlist, https://github.com/renkun-ken/rlist,
        https://renkun.me/rlist-tutorial
BugReports: https://github.com/renkun-ken/rlist/issues
ByteCompile: TRUE
LazyData: true
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-04-04 08:55:10 UTC; Kun
Repository: CRAN
Date/Publication: 2016-04-04 11:49:36

=== debian/changelog ===
r-cran-rlist (0.4.6.1-4) unstable; urgency=medium

  * Source upload in R 4.0 transition

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 22:23:48 +0200

r-cran-rlist (0.4.6.1-3) unstable; urgency=medium

  * Team upload.
  * Update test depends
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Add "Rules-Requires-Root:no"
  * Add upstream/metadata

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 30 Mar 2020 17:35:52 +0530

r-cran-rlist (0.4.6.1-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 01 Jun 2018 14:02:32 +0200

r-cran-rlist (0.4.6.1-1) unstable; urgency=medium

  * Initial release (closes: #887484)

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jan 2018 10:33:44 +0100

=== debian/control ===
Source: r-cran-rlist
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-yaml,
               r-cran-jsonlite,
               r-cran-xml,
               r-cran-data.table
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rlist
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rlist.git
Homepage: https://cran.r-project.org/package=rlist
Rules-Requires-Root: no

Package: r-cran-rlist
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R toolbox for non-tabular data manipulation
 Provides a set of functions for data manipulation with
 list objects, including mapping, filtering, grouping, sorting,
 updating, searching, and other useful functions. Most functions
 are designed to be pipeline friendly so that data processing with
 lists can be chained.

## r-cran-rlist 0.4.6.2

=== DESCRIPTION ===
Package: rlist
Type: Package
Title: A Toolbox for Non-Tabular Data Manipulation
Version: 0.4.6.2
Author: Kun Ren <ken@renkun.me>
Maintainer: Kun Ren <ken@renkun.me>
Description: Provides a set of functions for data manipulation with
    list objects, including mapping, filtering, grouping, sorting,
    updating, searching, and other useful functions. Most functions
    are designed to be pipeline friendly so that data processing with
    lists can be chained.
Depends: R (>= 2.15)
Date: 2021-09-02
Suggests: testthat, stringdist
Imports: yaml, jsonlite, XML, data.table
License: MIT + file LICENSE
URL: https://renkun-ken.github.io/rlist/,
        https://github.com/renkun-ken/rlist,
        https://renkun-ken.github.io/rlist-tutorial/
BugReports: https://github.com/renkun-ken/rlist/issues
ByteCompile: TRUE
LazyData: true
RoxygenNote: 7.1.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2021-09-02 23:36:14 UTC; ken
Repository: CRAN
Date/Publication: 2021-09-03 12:20:02 UTC

=== debian/changelog ===
r-cran-rlist (0.4.6.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 15:29:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-yaml,
                r-cran-jsonlite,
                r-cran-xml,
                r-cran-data.table
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rlist
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rlist.git
 Homepage: https://cran.r-project.org/package=rlist

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-stringdist
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/rlist_([-\d.]*)\.tar\.gz
